1.0

1.0

post /v1/baremetals

Description

Bare Metal Server 생성 요청 기능

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

BaremetalCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/baremetals

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.0"

Request body

{
    "image_id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
    "init_script": "init script",
    "lock_enabled": true,
    "os_user_id": "user001",
    "os_user_password": "password",
    "placement_group_name": "pgtest",
    "region_id": "kr-west1",
    "server_details": [
        {
            "bare_metal_local_subnet_id": "ab313c43291e4b678f4bacffe10768ae",
            "bare_metal_local_subnet_ip_address": "192.168.0.1",
            "bare_metal_server_name": "bmserver-001",
            "ip_address": "192.168.0.1",
            "local_disk_partitions": [
                {
                    "mount_point": "/mountpoint",
                    "partition_name": "partitionname",
                    "partition_size": 20,
                    "partition_type": "ext4"
                }
            ],
            "local_disk_type": "flat",
            "nat_enabled": true,
            "public_ip_address_id": "20c507a036c447cdb3b19468d8ea62ac",
            "server_type_id": "PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg",
            "use_hyper_threading": true
        }
    ],
    "subnet_id": "ab313c43291e4b678f4bacffe10768ae",
    "tags": [
        {
            "key": "key",
            "value": "value"
        }
    ],
    "use_placement_group": false,
    "vpc_id": "e58348b1bc9148e5af86500fd4ef99ca"
}

Example HTTP response

Response 202

{
    "account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
    "request_id": "req-002daa83-52d9-41e8-9b0f-d31d35610f65",
    "resource_id": "20c507a036c447cdb3b19468d8ea62ac"
}